var idImg = "";
var imgAbierta = "";
var count = 0;
var found =  0;
var timerId = 0;

function contadorTiempo()
{
	var imagenes = $("#imagenes").children();
	var timer = $("#timer").html();
	timer++;
	$("#timer").html("" + timer);
	var totalImg = (imagenes.length)/2;
	if (found<totalImg)
	{
		timerId = setTimeout('contadorTiempo()', 1000);
	}
}

function randomDeHasta(de, hasta){
    return Math.floor(Math.random() * (hasta - de + 1) + de);
}

function mezclar() {
    var imagenes = $("#imagenes").children();
    var imagen = $("#imagenes div:first-child");
	
    var array_img = new Array();

    for (i=0; i<imagenes.length; i++) {
        array_img[i] = $("#"+imagen.attr("id")+" img").attr("src");
        imagen = imagen.next();
    }

    var imagen = $("#imagenes div:first-child");

    for (z=0; z<imagenes.length; z++) {
        randIndex = randomDeHasta(0, array_img.length - 1);

       
        $("#"+imagen.attr("id")+" img").attr("src", array_img[randIndex]);
        array_img.splice(randIndex, 1);

        imagen = imagen.next();
    }
}

function reiniciarJuego() {
    mezclar();
	$("#msg_correcto").hide();
    $("img").hide();
    $("img").removeClass("opacity");
    count = 0;
    idImg = "";
    imgAbierta = "";
    found = 0;
    $("#timer").html("0");
    clearTimeout(timerId);
    //contadorTiempo();
	contadorTiempo();
    return false;
}

function verAyuda(){
	$("#msg_ayuda").toggle("fast");		
}

$(document).ready(function() {
	$("body").css("visibility","visible");
    $("img").hide();
    $("#imagenes div").click(abrirImagen);
    mezclar();
	contadorTiempo();
	
    function abrirImagen() {
        id = $(this).attr("id");

        if ($("#"+id+" img").is(":hidden")) {
            $("#imagenes div").unbind("click", abrirImagen);

            $("#"+id+" img").slideDown('fast');

            if (imgAbierta == "") {
                idImg = id;
                imgAbierta = $("#"+id+" img").attr("src");
                setTimeout(function() {
                    $("#imagenes div").bind("click", abrirImagen)
                }, 300);
            } else {
                actual = $("#"+id+" img").attr("src");
				varActual = actual.split('-');
				varImgAbierta = imgAbierta.split('-');
				actual = varActual[1];
				imgAbierta = varImgAbierta[1];
				//console.log('actual: '+actual+'    --    abierta: '+imgAbierta);
                if (imgAbierta != actual) {
                    // Cerrar abiertas
                    setTimeout(function() {
                        $("#"+id+" img").slideUp('fast');
                        $("#"+idImg+" img").slideUp('fast');
                        idImg = "";
                        imgAbierta = "";
                    }, 400);
                } else {
                    // Coinciden!!
                    $("#"+id+" img").addClass("opacity");
                    $("#"+idImg+" img").addClass("opacity");
                    found++;
                    idImg = "";
                    imgAbierta = "";
                }

                setTimeout(function() {
                    $("#imagenes div").bind("click", abrirImagen)
                }, 400);
            }

            count++;
			var imagenes = $("#imagenes").children();
			var totalImg = (imagenes.length)/2;
			var tiempoJuego = $("#timer").html();

            if (found == totalImg) {
				$("#timer").html(tiempoJuego);
				clearTimeout(timerId);	
				$("#msg_correcto").show("slow");
				setTimeout('$("#msg_correcto").fadeOut("slow")',2500);	
				$("#audio")[0].play();	
				
							 			 
				//alert('Muy bien !! - Terminaste la actividad en '+tiempoJuego+' segs.');           
            }
        }
    }
});


